Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 912930 - Review Request : icaro - Robotic Educational Project
Summary: Review Request : icaro - Robotic Educational Project
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 750898 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-20 02:21 UTC by Eduardo Echeverria
Modified: 2013-04-21 05:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-22 21:11:48 UTC
Type: Bug
mrunge: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Eduardo Echeverria 2013-02-20 02:21:30 UTC
Spec URL: http://echevemaster.fedorapeople.org/icaro_final/icaro.spec
SRPMS URL: http://echevemaster.fedorapeople.org/icaro_final/icaro-1.0-2.fc18.src.rpm
Description: An educational robotic software aimed to develop robotic 
and programming fundamentals.
Fedora Account System Username: echevemaster
Tested on koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5034767

Comment 1 Eduardo Echeverria 2013-02-20 02:30:44 UTC
*** Bug 750898 has been marked as a duplicate of this bug. ***

Comment 2 Matthias Runge 2013-02-21 10:28:54 UTC
will do the review. If anybody else is faster, please go ahead!

Comment 3 Matthias Runge 2013-03-07 09:41:49 UTC
Ooops, sorry, this took so long.

Eduardo, please move header files to a sub package:
- Header files in -devel subpackage, if present.
  Note: icaro : /usr/share/icaro/pic16/np05/source/boot_iface.h icaro :
  /usr/share/icaro/pic16/np05/source/common_types.h icaro :
  /usr/share/icaro/pic16/np05/source/define.h icaro :
  /usr/share/icaro/pic16/np05/source/macro.h icaro :
  /usr/share/icaro/pic16/np05/source/usb/picUSB.h icaro :
  /usr/share/icaro/pic16/np05/source/usb/usb_bulk.h icaro :
  /usr/share/icaro/pic16/np05/source/usb/usb_cdc.h icaro :
  /usr/share/icaro/pic16/np05/source/usb/usb_config.h icaro :
  /usr/share/icaro/pic16/np05/source/usb/usb_uart.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
- update-desktop-database is invoked when required
  Note: desktop file(s) in icaro
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache


- is there any particular reason not to use the %find_lang macro?
- since you're using /usr/share/icons/hicolor/48x48, you need to require something providing that path, e.g. hicolor-icon-theme (please check status of that, I think it was recently orphaned)


and we have a mixture of licenses here: 
LGPL (v2.1 or later)
--------------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/icaro-55e2c11a61810477a60f4a162072db92dcfd13d8/pic16/np05/source/servos.c

*No copyright* GPL (v3 or later)
--------------------------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/icaro-55e2c11a61810477a60f4a162072db92dcfd13d8/componente.py

GPL (v2 or later)
-----------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/icaro-55e2c11a61810477a60f4a162072db92dcfd13d8/docker.py

GPL (v3 or later)
-----------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/icaro-55e2c11a61810477a60f4a162072db92dcfd13d8/creditos.py

Comment 4 Eduardo Echeverria 2013-03-07 19:52:37 UTC
(In reply to comment #3)
> Ooops, sorry, this took so long.
> 
> Eduardo, please move header files to a sub package:
> - Header files in -devel subpackage, if present.
>   Note: icaro : /usr/share/icaro/pic16/np05/source/boot_iface.h icaro :
>   /usr/share/icaro/pic16/np05/source/common_types.h icaro :
>   /usr/share/icaro/pic16/np05/source/define.h icaro :
>   /usr/share/icaro/pic16/np05/source/macro.h icaro :
>   /usr/share/icaro/pic16/np05/source/usb/picUSB.h icaro :
>   /usr/share/icaro/pic16/np05/source/usb/usb_bulk.h icaro :
>   /usr/share/icaro/pic16/np05/source/usb/usb_cdc.h icaro :
>   /usr/share/icaro/pic16/np05/source/usb/usb_config.h icaro :
>   /usr/share/icaro/pic16/np05/source/usb/usb_uart.h
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

This files aren't for development, these are used by the application to dynamically incorporate routines to PIC

> - update-desktop-database is invoked when required
>   Note: desktop file(s) in icaro
>   See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

I don't understand this point, I don't use the command update-desktop-database (besides that not there any entry "mimetype key" in  the desktop file) for nothing in this spec 
 
> - is there any particular reason not to use the %find_lang macro?

No, in fact I changed the spec. thanks for the catch

> - since you're using /usr/share/icons/hicolor/48x48, you need to require
> something providing that path, e.g. hicolor-icon-theme (please check status
> of that, I think it was recently orphaned)

is assigned to Vicodan (Dan Marshall) AFAIK, I've incorporated to the spec.

> 
> and we have a mixture of licenses here: 
> LGPL (v2.1 or later)
> --------------------
> /var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/icaro-
> 55e2c11a61810477a60f4a162072db92dcfd13d8/pic16/np05/source/servos.c
> 
> *No copyright* GPL (v3 or later)
> --------------------------------
> /var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/icaro-
> 55e2c11a61810477a60f4a162072db92dcfd13d8/componente.py
> 
> GPL (v2 or later)
> -----------------
> /var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/icaro-
> 55e2c11a61810477a60f4a162072db92dcfd13d8/docker.py
> 
> GPL (v3 or later)
> -----------------
> /var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/icaro-
> 55e2c11a61810477a60f4a162072db92dcfd13d8/creditos.py

l'll ask upstream about this.

soon I upload the updated files.

thanks matthias.

Comment 5 Eduardo Echeverria 2013-03-10 06:35:52 UTC
Hi Matthias, here are the new files, I solved all the issues:
Spec URL: http://echevemaster.fedorapeople.org/icaro_final/3/icaro.spec
SRPMS URL: http://echevemaster.fedorapeople.org/icaro_final/3/icaro-1.0-3.fc18.src.rpm

Comment 6 Matthias Runge 2013-03-12 08:11:19 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: icaro : /usr/share/icaro/pic16/np05/source/common_types2.h icaro :
  /usr/share/icaro/pic16/np05/source/define2.h icaro :
  /usr/share/icaro/pic16/np05/tmp/boot_iface.h icaro :
  /usr/share/icaro/pic16/np05/tmp/common_types.h icaro :
  /usr/share/icaro/pic16/np05/tmp/define.h icaro :
  /usr/share/icaro/pic16/np05/tmp/macro.h icaro :
  /usr/share/icaro/pic16/np05/tmp/usb/picUSB.h icaro :
  /usr/share/icaro/pic16/np05/tmp/usb/usb_bulk.h icaro :
  /usr/share/icaro/pic16/np05/tmp/usb/usb_cdc.h icaro :
  /usr/share/icaro/pic16/np05/tmp/usb/usb_config.h icaro :
  /usr/share/icaro/pic16/np05/tmp/usb/usb_uart.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

This is ok, since this is a package to provide a development environment.
And also: bundling exception for the included library.
https://fedorahosted.org/fpc/ticket/253

- update-desktop-database is invoked when required
  Note: desktop file(s) in icaro
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

Must be a false positive. The required scriptlets are included.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)", "*No copyright* GPL (v3 or later)", "GPL (v2 or
     later)", "GPL (v3 or later)", "Unknown or generated". 5 files have
     unknown license. Detailed output of licensecheck in
     /home/mrunge/review/912930-icaro/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked when required
     Note: icons in icaro
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
Can't test, as I don't have the hardware handy.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: icaro-1.0-3.fc19.noarch.rpm
icaro.noarch: E: arch-independent-package-contains-binary-or-object /usr/share/icaro/pic16/lib/libpuf.lib
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/tmp/define.h
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/user-tortucaro.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/user.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/main.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/tmp/common_types.h
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/define2.h
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/tmp/macro.h
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/common_types2.h
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/tmp/digitalw.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/tmp/usb/usb_config.h
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/tmp/arduinodelay.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/tortucaro.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/tmp/usb/usb_uart.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/tmp/usb/usb_uart.h
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/tmp/usb/picUSB.h
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/tmp/usb/usb_bulk.h
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/tmp/usb/picUSB.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/tmp/__cdc.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/tmp/usb/usb_cdc.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/tmp/usb/usb_cdc.h
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/tmp/usb/usb_config.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/tmp/usb/usb_bulk.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/tmp/servos.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/tmp/analog.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/tmp/boot_iface.h
icaro.noarch: W: no-manual-page-for-binary icaro
1 packages and 0 specfiles checked; 1 errors, 26 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint icaro
icaro.noarch: E: arch-independent-package-contains-binary-or-object /usr/share/icaro/pic16/lib/libpuf.lib
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/user-tortucaro.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/main.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/common_types.h
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/usb/usb_bulk.h
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/usb/usb_config.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/define.h
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/usb/usb_config.h
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/usb/picUSB.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/tortucaro.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/arduinodelay.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/usb/usb_cdc.h
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/servos.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/usb/picUSB.h
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/macro.h
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/usb/usb_uart.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/boot_iface.h
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/usb/usb_uart.h
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/digitalw.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/usb/usb_bulk.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/user.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/analog.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/__cdc.c
icaro.noarch: W: devel-file-in-non-devel-package /usr/share/icaro/pic16/np05/source/usb/usb_cdc.c
icaro.noarch: W: no-manual-page-for-binary icaro
1 packages and 0 specfiles checked; 1 errors, 24 warnings.
# echo 'rpmlint-done:'



Requires
--------
icaro (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    /usr/bin/env
    /usr/bin/python
    config(icaro)
    gputils
    hicolor-icon-theme
    pygame
    pygtksourceview
    pyserial
    python(abi)
    python-tools
    pyusb
    pywebkitgtk
    sdcc
    sugar
    sugar-turtleart



Provides
--------
icaro:
    config(icaro)
    icaro



MD5-sum check
-------------
https://github.com/valentinbasel/icaro/archive/4393eb003d492922671664097d30e7258ea5db32/icaro-1.0-4393eb0.tar.gz :
  CHECKSUM(SHA256) this package     : 7cd36172ee620b85c921aea2f63b85d22422495fc80050c88e0c6113e1529063
  CHECKSUM(SHA256) upstream package : 7cd36172ee620b85c921aea2f63b85d22422495fc80050c88e0c6113e1529063


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29



Package approved.

Comment 7 Eduardo Echeverria 2013-03-12 08:48:34 UTC
Thanks for the review Matthias

New Package SCM Request
=======================
Package Name: icaro
Short Description: Robotic Educational Project
Owners: echevemaster yaderv
Branches: f17 f18 
InitialCC:

Comment 8 Gwyn Ciesla 2013-03-12 12:41:31 UTC
Git done (by process-git-requests).

Comment 9 Eduardo Echeverria 2013-03-12 18:20:28 UTC
Package Change Request
======================
Package Name: icaro
New Branches: f19
Owners: echevemaster yaderv

Comment 10 Gwyn Ciesla 2013-03-12 18:31:25 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2013-03-13 03:36:01 UTC
icaro-1.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/icaro-1.0-3.fc18

Comment 12 Fedora Update System 2013-03-13 03:37:23 UTC
icaro-1.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/icaro-1.0-3.fc17

Comment 13 Fedora Update System 2013-03-14 02:50:18 UTC
icaro-1.0-3.fc17 has been pushed to the Fedora 17 testing repository.

Comment 14 Fedora Update System 2013-03-22 21:11:50 UTC
icaro-1.0-3.fc17 has been pushed to the Fedora 17 stable repository.

Comment 15 Fedora Update System 2013-03-22 21:15:18 UTC
icaro-1.0-3.fc18 has been pushed to the Fedora 18 stable repository.

Comment 16 Fedora Update System 2013-04-04 04:31:54 UTC
icaro-1.0.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/icaro-1.0.1-1.fc19

Comment 17 Fedora Update System 2013-04-04 04:33:19 UTC
icaro-1.0.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/icaro-1.0.1-1.fc18

Comment 18 Fedora Update System 2013-04-04 04:34:30 UTC
icaro-1.0.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/icaro-1.0.1-1.fc17

Comment 19 Fedora Update System 2013-04-21 03:22:58 UTC
icaro-1.0.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2013-04-21 03:25:24 UTC
icaro-1.0.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2013-04-21 05:04:31 UTC
icaro-1.0.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.